
_Init_Timer0:

;timer0_routines.h,31 :: 		void Init_Timer0()
;timer0_routines.h,35 :: 		T0CON.PSA=0;      // Timer0 prescaler assigned to Clock
	BCF         T0CON+0, 3 
;timer0_routines.h,39 :: 		T0CON.T0PS2=1;    //
	BSF         T0CON+0, 2 
;timer0_routines.h,40 :: 		T0CON.T0PS1=0;    //
	BCF         T0CON+0, 1 
;timer0_routines.h,41 :: 		T0CON.T0PS0=0;    // prescler =>100 => 1/32
	BCF         T0CON+0, 0 
;timer0_routines.h,42 :: 		T0CON.T0CS=0;     // internal cycle clock
	BCF         T0CON+0, 5 
;timer0_routines.h,43 :: 		T0CON.T08BIT=0 ;  // Mode 16 bits
	BCF         T0CON+0, 6 
;timer0_routines.h,48 :: 		TMR0H= 0x0B; // hi 3035;
	MOVLW       11
	MOVWF       TMR0H+0 
;timer0_routines.h,49 :: 		TMR0L =0xDB;  // lo 3035
	MOVLW       219
	MOVWF       TMR0L+0 
;timer0_routines.h,59 :: 		TMR0IF_bit =0;    // raz flag interrupt
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;timer0_routines.h,60 :: 		Cpt0=0;
	CLRF        _Cpt0+0 
	CLRF        _Cpt0+1 
;timer0_routines.h,61 :: 		Flag_Timer0=0;
	CLRF        _Flag_Timer0+0 
	CLRF        _Flag_Timer0+1 
;timer0_routines.h,62 :: 		INTCON2.TMR0IP=1;
	BSF         INTCON2+0, 2 
;timer0_routines.h,63 :: 		TMR0IE_bit=1;
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;timer0_routines.h,64 :: 		T0CON.TMR0ON=1;
	BSF         T0CON+0, 7 
;timer0_routines.h,65 :: 		}
L_end_Init_Timer0:
	RETURN      0
; end of _Init_Timer0

_UART1_Write_CText:

;uart1_uart2_routines.h ,30 :: 		void UART1_Write_CText(const char *txt1)
;uart1_uart2_routines.h ,32 :: 		while (*txt1)
L_UART1_Write_CText0:
	MOVF        FARG_UART1_Write_CText_txt1+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART1_Write_CText_txt1+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART1_Write_CText_txt1+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_UART1_Write_CText1
;uart1_uart2_routines.h ,33 :: 		UART1_Write(*(txt1++));
	MOVF        FARG_UART1_Write_CText_txt1+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART1_Write_CText_txt1+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART1_Write_CText_txt1+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_UART1_Write_data_+0
	CALL        _UART1_Write+0, 0
	MOVLW       1
	ADDWF       FARG_UART1_Write_CText_txt1+0, 1 
	MOVLW       0
	ADDWFC      FARG_UART1_Write_CText_txt1+1, 1 
	ADDWFC      FARG_UART1_Write_CText_txt1+2, 1 
	GOTO        L_UART1_Write_CText0
L_UART1_Write_CText1:
;uart1_uart2_routines.h ,34 :: 		}
L_end_UART1_Write_CText:
	RETURN      0
; end of _UART1_Write_CText

_UART2_Write_CText:

;uart1_uart2_routines.h ,36 :: 		void UART2_Write_CText(const char *txt2)
;uart1_uart2_routines.h ,38 :: 		while (*txt2)
L_UART2_Write_CText2:
	MOVF        FARG_UART2_Write_CText_txt2+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART2_Write_CText_txt2+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART2_Write_CText_txt2+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_UART2_Write_CText3
;uart1_uart2_routines.h ,39 :: 		UART2_Write(*(txt2++));
	MOVF        FARG_UART2_Write_CText_txt2+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_UART2_Write_CText_txt2+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_UART2_Write_CText_txt2+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_UART2_Write_data_+0
	CALL        _UART2_Write+0, 0
	MOVLW       1
	ADDWF       FARG_UART2_Write_CText_txt2+0, 1 
	MOVLW       0
	ADDWFC      FARG_UART2_Write_CText_txt2+1, 1 
	ADDWFC      FARG_UART2_Write_CText_txt2+2, 1 
	GOTO        L_UART2_Write_CText2
L_UART2_Write_CText3:
;uart1_uart2_routines.h ,40 :: 		}
L_end_UART2_Write_CText:
	RETURN      0
; end of _UART2_Write_CText

_CRLF1:

;uart1_uart2_routines.h ,43 :: 		void CRLF1()
;uart1_uart2_routines.h ,45 :: 		UART1_Write(CR);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;uart1_uart2_routines.h ,46 :: 		UART1_Write(LF);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;uart1_uart2_routines.h ,47 :: 		}
L_end_CRLF1:
	RETURN      0
; end of _CRLF1

_RAZ_UART1:

;uart1_uart2_routines.h ,50 :: 		void RAZ_UART1()
;uart1_uart2_routines.h ,52 :: 		RC1IE_bit=0 ;
	BCF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
;uart1_uart2_routines.h ,53 :: 		for (i1=0;i1<MAXLEN1;i1++) buffer1[i1]=0;
	CLRF        _i1+0 
	CLRF        _i1+1 
L_RAZ_UART14:
	MOVLW       0
	SUBWF       _i1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__RAZ_UART1104
	MOVLW       128
	SUBWF       _i1+0, 0 
L__RAZ_UART1104:
	BTFSC       STATUS+0, 0 
	GOTO        L_RAZ_UART15
	MOVLW       _buffer1+0
	ADDWF       _i1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _i1+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	INFSNZ      _i1+0, 1 
	INCF        _i1+1, 1 
	GOTO        L_RAZ_UART14
L_RAZ_UART15:
;uart1_uart2_routines.h ,54 :: 		i1=0;
	CLRF        _i1+0 
	CLRF        _i1+1 
;uart1_uart2_routines.h ,55 :: 		Index1=0;
	CLRF        _Index1+0 
	CLRF        _Index1+1 
;uart1_uart2_routines.h ,56 :: 		c1=RCREG1;
	MOVF        RCREG1+0, 0 
	MOVWF       _c1+0 
;uart1_uart2_routines.h ,57 :: 		c1=0;
	CLRF        _c1+0 
;uart1_uart2_routines.h ,58 :: 		UART1_DataReady=0;
	CLRF        _UART1_DataReady+0 
	CLRF        _UART1_DataReady+1 
;uart1_uart2_routines.h ,59 :: 		RC1IE_bit=1 ;
	BSF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
;uart1_uart2_routines.h ,60 :: 		}
L_end_RAZ_UART1:
	RETURN      0
; end of _RAZ_UART1

_CRLF2:

;uart1_uart2_routines.h ,62 :: 		void CRLF2()
;uart1_uart2_routines.h ,64 :: 		UART2_Write(CR);
	MOVLW       13
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;uart1_uart2_routines.h ,65 :: 		UART2_Write(LF);
	MOVLW       10
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;uart1_uart2_routines.h ,66 :: 		}
L_end_CRLF2:
	RETURN      0
; end of _CRLF2

_RAZ_UART2:

;uart1_uart2_routines.h ,68 :: 		void RAZ_UART2()
;uart1_uart2_routines.h ,70 :: 		RC2IE_bit=0 ;
	BCF         RC2IE_bit+0, BitPos(RC2IE_bit+0) 
;uart1_uart2_routines.h ,71 :: 		for (i2=0;i2<MAXLEN2;i2++) buffer2[i2]=0;
	CLRF        _i2+0 
	CLRF        _i2+1 
L_RAZ_UART27:
	MOVLW       1
	SUBWF       _i2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__RAZ_UART2107
	MOVLW       0
	SUBWF       _i2+0, 0 
L__RAZ_UART2107:
	BTFSC       STATUS+0, 0 
	GOTO        L_RAZ_UART28
	MOVLW       _buffer2+0
	ADDWF       _i2+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer2+0)
	ADDWFC      _i2+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	INFSNZ      _i2+0, 1 
	INCF        _i2+1, 1 
	GOTO        L_RAZ_UART27
L_RAZ_UART28:
;uart1_uart2_routines.h ,72 :: 		Index2=0;
	CLRF        _Index2+0 
	CLRF        _Index2+1 
;uart1_uart2_routines.h ,73 :: 		i2=0;
	CLRF        _i2+0 
	CLRF        _i2+1 
;uart1_uart2_routines.h ,74 :: 		c2=RCREG2;
	MOVF        RCREG2+0, 0 
	MOVWF       _c2+0 
;uart1_uart2_routines.h ,75 :: 		c2=0;
	CLRF        _c2+0 
;uart1_uart2_routines.h ,76 :: 		UART2_DataReady=0;
	CLRF        _UART2_DataReady+0 
	CLRF        _UART2_DataReady+1 
;uart1_uart2_routines.h ,77 :: 		RC2IE_bit=1 ;
	BSF         RC2IE_bit+0, BitPos(RC2IE_bit+0) 
;uart1_uart2_routines.h ,78 :: 		}
L_end_RAZ_UART2:
	RETURN      0
; end of _RAZ_UART2

_strConstRamCpy:

;string_routines.h,5 :: 		void strConstRamCpy(char *dest, const char *source)
;string_routines.h,7 :: 		while(*source) *(dest++) = *(source++) ;
L_strConstRamCpy10:
	MOVF        FARG_strConstRamCpy_source+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_strConstRamCpy_source+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_strConstRamCpy_source+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_strConstRamCpy11
	MOVF        FARG_strConstRamCpy_source+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_strConstRamCpy_source+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_strConstRamCpy_source+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVFF       FARG_strConstRamCpy_dest+0, FSR1
	MOVFF       FARG_strConstRamCpy_dest+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_strConstRamCpy_dest+0, 1 
	INCF        FARG_strConstRamCpy_dest+1, 1 
	MOVLW       1
	ADDWF       FARG_strConstRamCpy_source+0, 1 
	MOVLW       0
	ADDWFC      FARG_strConstRamCpy_source+1, 1 
	ADDWFC      FARG_strConstRamCpy_source+2, 1 
	GOTO        L_strConstRamCpy10
L_strConstRamCpy11:
;string_routines.h,8 :: 		*dest = 0 ;    // terminateur
	MOVFF       FARG_strConstRamCpy_dest+0, FSR1
	MOVFF       FARG_strConstRamCpy_dest+1, FSR1H
	CLRF        POSTINC1+0 
;string_routines.h,9 :: 		}
L_end_strConstRamCpy:
	RETURN      0
; end of _strConstRamCpy

_fltToa:

;string_routines.h,11 :: 		void fltToa (double x, unsigned char *str,char precision)
;string_routines.h,17 :: 		ndig = ( precision<=0) ? 7 : (precision > 22 ? 23 : precision+1);
	MOVF        FARG_fltToa_precision+0, 0 
	SUBLW       0
	BTFSS       STATUS+0, 0 
	GOTO        L_fltToa12
	MOVLW       7
	MOVWF       ?FLOC___fltToaT37+0 
	MOVLW       0
	MOVWF       ?FLOC___fltToaT37+1 
	GOTO        L_fltToa13
L_fltToa12:
	MOVF        FARG_fltToa_precision+0, 0 
	SUBLW       22
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa14
	MOVLW       23
	MOVWF       ?FLOC___fltToaT39+0 
	MOVLW       0
	MOVWF       ?FLOC___fltToaT39+1 
	GOTO        L_fltToa15
L_fltToa14:
	MOVF        FARG_fltToa_precision+0, 0 
	ADDLW       1
	MOVWF       ?FLOC___fltToaT39+0 
	CLRF        ?FLOC___fltToaT39+1 
	MOVLW       0
	ADDWFC      ?FLOC___fltToaT39+1, 1 
L_fltToa15:
	MOVF        ?FLOC___fltToaT39+0, 0 
	MOVWF       ?FLOC___fltToaT37+0 
	MOVF        ?FLOC___fltToaT39+1, 0 
	MOVWF       ?FLOC___fltToaT37+1 
L_fltToa13:
	MOVF        ?FLOC___fltToaT37+0, 0 
	MOVWF       fltToa_ndig_L0+0 
	MOVF        ?FLOC___fltToaT37+1, 0 
	MOVWF       fltToa_ndig_L0+1 
;string_routines.h,18 :: 		ie = 0;
	CLRF        fltToa_ie_L0+0 
	CLRF        fltToa_ie_L0+1 
;string_routines.h,20 :: 		if ( x < 0)
	CLRF        R4 
	CLRF        R5 
	CLRF        R6 
	CLRF        R7 
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_fltToa16
;string_routines.h,22 :: 		*str++ = '-';
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVLW       45
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
;string_routines.h,23 :: 		x = -x;
	BTG         FARG_fltToa_x+2, 7 
;string_routines.h,24 :: 		}
L_fltToa16:
;string_routines.h,26 :: 		if (x > 0.0) while (x < 1.0)
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R4 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R5 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R6 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R7 
	CLRF        R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_fltToa17
L_fltToa18:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       127
	MOVWF       R7 
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_fltToa19
;string_routines.h,28 :: 		x *= 10.0;                // a la place de =*
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_fltToa_x+3 
;string_routines.h,29 :: 		ie--;
	MOVLW       1
	SUBWF       fltToa_ie_L0+0, 1 
	MOVLW       0
	SUBWFB      fltToa_ie_L0+1, 1 
;string_routines.h,30 :: 		}
	GOTO        L_fltToa18
L_fltToa19:
L_fltToa17:
;string_routines.h,31 :: 		while (x >= 10.0)
L_fltToa20:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_fltToa21
;string_routines.h,33 :: 		x = x/10.0;
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_fltToa_x+3 
;string_routines.h,34 :: 		ie++;
	INFSNZ      fltToa_ie_L0+0, 1 
	INCF        fltToa_ie_L0+1, 1 
;string_routines.h,35 :: 		}
	GOTO        L_fltToa20
L_fltToa21:
;string_routines.h,36 :: 		ndig += ie;                                // a la place de =+
	MOVF        fltToa_ie_L0+0, 0 
	ADDWF       fltToa_ndig_L0+0, 1 
	MOVF        fltToa_ie_L0+1, 0 
	ADDWFC      fltToa_ndig_L0+1, 1 
;string_routines.h,39 :: 		for (y = i = 1; i < ndig; i++)
	MOVLW       1
	MOVWF       fltToa_i_L0+0 
	MOVLW       0
	MOVWF       fltToa_i_L0+1 
	MOVLW       0
	MOVWF       fltToa_y_L0+0 
	MOVLW       0
	MOVWF       fltToa_y_L0+1 
	MOVLW       0
	MOVWF       fltToa_y_L0+2 
	MOVLW       127
	MOVWF       fltToa_y_L0+3 
L_fltToa22:
	MOVLW       128
	XORWF       fltToa_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       fltToa_ndig_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa110
	MOVF        fltToa_ndig_L0+0, 0 
	SUBWF       fltToa_i_L0+0, 0 
L__fltToa110:
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa23
;string_routines.h,40 :: 		y = y/10.;
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        fltToa_y_L0+0, 0 
	MOVWF       R0 
	MOVF        fltToa_y_L0+1, 0 
	MOVWF       R1 
	MOVF        fltToa_y_L0+2, 0 
	MOVWF       R2 
	MOVF        fltToa_y_L0+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       fltToa_y_L0+0 
	MOVF        R1, 0 
	MOVWF       fltToa_y_L0+1 
	MOVF        R2, 0 
	MOVWF       fltToa_y_L0+2 
	MOVF        R3, 0 
	MOVWF       fltToa_y_L0+3 
;string_routines.h,39 :: 		for (y = i = 1; i < ndig; i++)
	INFSNZ      fltToa_i_L0+0, 1 
	INCF        fltToa_i_L0+1, 1 
;string_routines.h,40 :: 		y = y/10.;
	GOTO        L_fltToa22
L_fltToa23:
;string_routines.h,41 :: 		x += y/2.;
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	MOVF        fltToa_y_L0+0, 0 
	MOVWF       R0 
	MOVF        fltToa_y_L0+1, 0 
	MOVWF       R1 
	MOVF        fltToa_y_L0+2, 0 
	MOVWF       R2 
	MOVF        fltToa_y_L0+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R4 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R5 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R6 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_fltToa_x+3 
;string_routines.h,42 :: 		if (x >= 10.0) {x = 1.0; ie++;}
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_fltToa25
	MOVLW       0
	MOVWF       FARG_fltToa_x+0 
	MOVLW       0
	MOVWF       FARG_fltToa_x+1 
	MOVLW       0
	MOVWF       FARG_fltToa_x+2 
	MOVLW       127
	MOVWF       FARG_fltToa_x+3 
	INFSNZ      fltToa_ie_L0+0, 1 
	INCF        fltToa_ie_L0+1, 1 
L_fltToa25:
;string_routines.h,43 :: 		if (ie<0)
	MOVLW       128
	XORWF       fltToa_ie_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa111
	MOVLW       0
	SUBWF       fltToa_ie_L0+0, 0 
L__fltToa111:
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa26
;string_routines.h,45 :: 		*str++ = '0'; *str++ = '.';
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVLW       48
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVLW       46
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
;string_routines.h,46 :: 		if (ndig < 0) ie = ie-ndig;
	MOVLW       128
	XORWF       fltToa_ndig_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa112
	MOVLW       0
	SUBWF       fltToa_ndig_L0+0, 0 
L__fltToa112:
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa27
	MOVF        fltToa_ndig_L0+0, 0 
	SUBWF       fltToa_ie_L0+0, 1 
	MOVF        fltToa_ndig_L0+1, 0 
	SUBWFB      fltToa_ie_L0+1, 1 
L_fltToa27:
;string_routines.h,47 :: 		for (i = -1; i > ie; i--)  *str++ = '0';
	MOVLW       255
	MOVWF       fltToa_i_L0+0 
	MOVLW       255
	MOVWF       fltToa_i_L0+1 
L_fltToa28:
	MOVLW       128
	XORWF       fltToa_ie_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       fltToa_i_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa113
	MOVF        fltToa_i_L0+0, 0 
	SUBWF       fltToa_ie_L0+0, 0 
L__fltToa113:
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa29
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVLW       48
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
	MOVLW       1
	SUBWF       fltToa_i_L0+0, 1 
	MOVLW       0
	SUBWFB      fltToa_i_L0+1, 1 
	GOTO        L_fltToa28
L_fltToa29:
;string_routines.h,48 :: 		}
L_fltToa26:
;string_routines.h,49 :: 		for (i=0; i < ndig; i++)
	CLRF        fltToa_i_L0+0 
	CLRF        fltToa_i_L0+1 
L_fltToa31:
	MOVLW       128
	XORWF       fltToa_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       fltToa_ndig_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa114
	MOVF        fltToa_ndig_L0+0, 0 
	SUBWF       fltToa_i_L0+0, 0 
L__fltToa114:
	BTFSC       STATUS+0, 0 
	GOTO        L_fltToa32
;string_routines.h,51 :: 		k = x;
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _double2int+0, 0
	MOVF        R0, 0 
	MOVWF       fltToa_k_L0+0 
	MOVF        R1, 0 
	MOVWF       fltToa_k_L0+1 
;string_routines.h,52 :: 		*str++ = k + '0';
	MOVLW       48
	ADDWF       R0, 1 
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
;string_routines.h,53 :: 		if (i ==  ie ) *str++ = '.';
	MOVF        fltToa_i_L0+1, 0 
	XORWF       fltToa_ie_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__fltToa115
	MOVF        fltToa_ie_L0+0, 0 
	XORWF       fltToa_i_L0+0, 0 
L__fltToa115:
	BTFSS       STATUS+0, 2 
	GOTO        L_fltToa34
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	MOVLW       46
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_fltToa_str+0, 1 
	INCF        FARG_fltToa_str+1, 1 
L_fltToa34:
;string_routines.h,54 :: 		x -= (y=k);
	MOVF        fltToa_k_L0+0, 0 
	MOVWF       R0 
	MOVF        fltToa_k_L0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        R0, 0 
	MOVWF       fltToa_y_L0+0 
	MOVF        R1, 0 
	MOVWF       fltToa_y_L0+1 
	MOVF        R2, 0 
	MOVWF       fltToa_y_L0+2 
	MOVF        R3, 0 
	MOVWF       fltToa_y_L0+3 
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FARG_fltToa_x+0, 0 
	MOVWF       R0 
	MOVF        FARG_fltToa_x+1, 0 
	MOVWF       R1 
	MOVF        FARG_fltToa_x+2, 0 
	MOVWF       R2 
	MOVF        FARG_fltToa_x+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_fltToa_x+3 
;string_routines.h,55 :: 		x *= 10.0;
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_fltToa_x+3 
;string_routines.h,49 :: 		for (i=0; i < ndig; i++)
	INFSNZ      fltToa_i_L0+0, 1 
	INCF        fltToa_i_L0+1, 1 
;string_routines.h,56 :: 		}
	GOTO        L_fltToa31
L_fltToa32:
;string_routines.h,57 :: 		*str = '\0';
	MOVFF       FARG_fltToa_str+0, FSR1
	MOVFF       FARG_fltToa_str+1, FSR1H
	CLRF        POSTINC1+0 
;string_routines.h,58 :: 		}
L_end_fltToa:
	RETURN      0
; end of _fltToa

_Init_ADC:

;adc_routine.h,2 :: 		void Init_ADC()  // for 18F45K22
;adc_routine.h,5 :: 		ADCON0.CHS3=0;   // channel 0  selected
	BCF         ADCON0+0, 5 
;adc_routine.h,6 :: 		ADCON0.CHS2=0;
	BCF         ADCON0+0, 4 
;adc_routine.h,7 :: 		ADCON0.CHS1=0;
	BCF         ADCON0+0, 3 
;adc_routine.h,8 :: 		ADCON0.CHS0=0;
	BCF         ADCON0+0, 2 
;adc_routine.h,10 :: 		ADCON1=0;
	CLRF        ADCON1+0 
;adc_routine.h,11 :: 		ADCON1.PVCFG1=0; // +VREF= VDD=+5V
	BCF         ADCON1+0, 3 
;adc_routine.h,12 :: 		ADCON1.PVCFG0=0;
	BCF         ADCON1+0, 2 
;adc_routine.h,13 :: 		ADCON1.NVCFG1=0;  // -VREF= VSS 0V
	BCF         ADCON1+0, 1 
;adc_routine.h,14 :: 		ADCON1.NVCFG0=0;
	BCF         ADCON1+0, 0 
;adc_routine.h,15 :: 		ADCON2=0;
	CLRF        ADCON2+0 
;adc_routine.h,16 :: 		ADCON2.ADFM=1;  // Right justified
	BSF         ADCON2+0, 7 
;adc_routine.h,18 :: 		ADCON2.ACQT2=1;
	BSF         ADCON2+0, 5 
;adc_routine.h,19 :: 		ADCON2.ACQT1=1;
	BSF         ADCON2+0, 4 
;adc_routine.h,20 :: 		ADCON2.ACQT0=0;
	BCF         ADCON2+0, 3 
;adc_routine.h,22 :: 		ADCON2.ADCS1=1;
	BSF         ADCON2+0, 1 
;adc_routine.h,23 :: 		ADCON2.ADCS2=1;
	BSF         ADCON2+0, 2 
;adc_routine.h,24 :: 		ADCON2.ADCS0=0;
	BCF         ADCON2+0, 0 
;adc_routine.h,25 :: 		ADCON0.ADON=1;    // ADC enabled
	BSF         ADCON0+0, 0 
;adc_routine.h,26 :: 		}
L_end_Init_ADC:
	RETURN      0
; end of _Init_ADC

_Read_ADC:

;adc_routine.h,28 :: 		unsigned int Read_ADC(unsigned char Canal)  // for 18F45K22
;adc_routine.h,30 :: 		if (Canal > 7) return 0;
	MOVF        FARG_Read_ADC_Canal+0, 0 
	SUBLW       7
	BTFSC       STATUS+0, 0 
	GOTO        L_Read_ADC35
	CLRF        R0 
	CLRF        R1 
	GOTO        L_end_Read_ADC
L_Read_ADC35:
;adc_routine.h,31 :: 		ADCON0 |= Canal <<2;
	MOVF        FARG_Read_ADC_Canal+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	IORWF       ADCON0+0, 1 
;adc_routine.h,32 :: 		Delay_ms(5);
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_Read_ADC36:
	DECFSZ      R13, 1, 1
	BRA         L_Read_ADC36
	DECFSZ      R12, 1, 1
	BRA         L_Read_ADC36
	NOP
;adc_routine.h,33 :: 		ADCON0.GO_DONE = 1;//Start A/D Conversion
	BSF         ADCON0+0, 1 
;adc_routine.h,34 :: 		_asm NOP ;
	NOP
;adc_routine.h,35 :: 		while(ADCON0.GO_DONE ==1);//Loop here until A/D conversion completes
L_Read_ADC37:
	BTFSS       ADCON0+0, 1 
	GOTO        L_Read_ADC38
	GOTO        L_Read_ADC37
L_Read_ADC38:
;adc_routine.h,36 :: 		Ex=(ADRESH <<8) + ADRESL;
	MOVF        ADRESH+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        ADRESL+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
;adc_routine.h,37 :: 		return Ex;
;adc_routine.h,38 :: 		}
L_end_Read_ADC:
	RETURN      0
; end of _Read_ADC

_Interrupts:

;interrupts_routines.h,7 :: 		void Interrupts() iv 0x0008 ics ICS_AUTO
;interrupts_routines.h,10 :: 		if((RC1IF_bit==1) && (RC1IE_bit==1))
	BTFSS       RC1IF_bit+0, BitPos(RC1IF_bit+0) 
	GOTO        L_Interrupts41
	BTFSS       RC1IE_bit+0, BitPos(RC1IE_bit+0) 
	GOTO        L_Interrupts41
L__Interrupts98:
;interrupts_routines.h,12 :: 		c1 = RCREG1;
	MOVF        RCREG1+0, 0 
	MOVWF       _c1+0 
;interrupts_routines.h,14 :: 		if(OERR1_bit)
	BTFSS       OERR1_bit+0, BitPos(OERR1_bit+0) 
	GOTO        L_Interrupts42
;interrupts_routines.h,16 :: 		CREN1_bit = 0;
	BCF         CREN1_bit+0, BitPos(CREN1_bit+0) 
;interrupts_routines.h,17 :: 		CREN1_bit = 1;
	BSF         CREN1_bit+0, BitPos(CREN1_bit+0) 
;interrupts_routines.h,18 :: 		}
L_Interrupts42:
;interrupts_routines.h,19 :: 		if(FERR1_bit)
	BTFSS       FERR1_bit+0, BitPos(FERR1_bit+0) 
	GOTO        L_Interrupts43
;interrupts_routines.h,21 :: 		c1 = RCREG1;
	MOVF        RCREG1+0, 0 
	MOVWF       _c1+0 
;interrupts_routines.h,23 :: 		}
L_Interrupts43:
;interrupts_routines.h,25 :: 		if (c1==13)
	MOVF        _c1+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_Interrupts44
;interrupts_routines.h,27 :: 		UART1_DataReady=1;
	MOVLW       1
	MOVWF       _UART1_DataReady+0 
	MOVLW       0
	MOVWF       _UART1_DataReady+1 
;interrupts_routines.h,28 :: 		buffer1[i1]=0;
	MOVLW       _buffer1+0
	ADDWF       _i1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _i1+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;interrupts_routines.h,29 :: 		Index1=i1;
	MOVF        _i1+0, 0 
	MOVWF       _Index1+0 
	MOVF        _i1+1, 0 
	MOVWF       _Index1+1 
;interrupts_routines.h,30 :: 		i1=0;
	CLRF        _i1+0 
	CLRF        _i1+1 
;interrupts_routines.h,31 :: 		c1=0;
	CLRF        _c1+0 
;interrupts_routines.h,32 :: 		}
	GOTO        L_Interrupts45
L_Interrupts44:
;interrupts_routines.h,35 :: 		buffer1[i1]=c1;
	MOVLW       _buffer1+0
	ADDWF       _i1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _i1+1, 0 
	MOVWF       FSR1H 
	MOVF        _c1+0, 0 
	MOVWF       POSTINC1+0 
;interrupts_routines.h,36 :: 		Index1=i1;
	MOVF        _i1+0, 0 
	MOVWF       _Index1+0 
	MOVF        _i1+1, 0 
	MOVWF       _Index1+1 
;interrupts_routines.h,37 :: 		i1++;
	INFSNZ      _i1+0, 1 
	INCF        _i1+1, 1 
;interrupts_routines.h,38 :: 		}
L_Interrupts45:
;interrupts_routines.h,39 :: 		if (i1 >=MAXLEN1)
	MOVLW       0
	SUBWF       _i1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupts120
	MOVLW       128
	SUBWF       _i1+0, 0 
L__Interrupts120:
	BTFSS       STATUS+0, 0 
	GOTO        L_Interrupts46
;interrupts_routines.h,41 :: 		UART1_DataReady=2;
	MOVLW       2
	MOVWF       _UART1_DataReady+0 
	MOVLW       0
	MOVWF       _UART1_DataReady+1 
;interrupts_routines.h,42 :: 		RC1IE_bit=0 ;    //interdit IT Reception UART
	BCF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
;interrupts_routines.h,43 :: 		buffer1[i1]=0;
	MOVLW       _buffer1+0
	ADDWF       _i1+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer1+0)
	ADDWFC      _i1+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;interrupts_routines.h,44 :: 		Index1=i1;
	MOVF        _i1+0, 0 
	MOVWF       _Index1+0 
	MOVF        _i1+1, 0 
	MOVWF       _Index1+1 
;interrupts_routines.h,45 :: 		i1=0;
	CLRF        _i1+0 
	CLRF        _i1+1 
;interrupts_routines.h,46 :: 		c1=0;
	CLRF        _c1+0 
;interrupts_routines.h,47 :: 		}
L_Interrupts46:
;interrupts_routines.h,48 :: 		}
L_Interrupts41:
;interrupts_routines.h,51 :: 		if((RC2IF_bit==1) && (RC2IE_bit==1))
	BTFSS       RC2IF_bit+0, BitPos(RC2IF_bit+0) 
	GOTO        L_Interrupts49
	BTFSS       RC2IE_bit+0, BitPos(RC2IE_bit+0) 
	GOTO        L_Interrupts49
L__Interrupts97:
;interrupts_routines.h,53 :: 		if(OERR2_bit)
	BTFSS       OERR2_bit+0, BitPos(OERR2_bit+0) 
	GOTO        L_Interrupts50
;interrupts_routines.h,55 :: 		CREN2_bit = 0;
	BCF         CREN2_bit+0, BitPos(CREN2_bit+0) 
;interrupts_routines.h,56 :: 		CREN2_bit = 1;
	BSF         CREN2_bit+0, BitPos(CREN2_bit+0) 
;interrupts_routines.h,57 :: 		}
L_Interrupts50:
;interrupts_routines.h,58 :: 		if(FERR2_bit)
	BTFSS       FERR2_bit+0, BitPos(FERR2_bit+0) 
	GOTO        L_Interrupts51
;interrupts_routines.h,60 :: 		c2 = RCREG2;
	MOVF        RCREG2+0, 0 
	MOVWF       _c2+0 
;interrupts_routines.h,61 :: 		c2=0;
	CLRF        _c2+0 
;interrupts_routines.h,62 :: 		}
L_Interrupts51:
;interrupts_routines.h,64 :: 		c2=RCREG2;
	MOVF        RCREG2+0, 0 
	MOVWF       _c2+0 
;interrupts_routines.h,65 :: 		if (c2==13)   // terminaison par CR ou CR LF
	MOVF        _c2+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_Interrupts52
;interrupts_routines.h,67 :: 		UART2_DataReady=1;
	MOVLW       1
	MOVWF       _UART2_DataReady+0 
	MOVLW       0
	MOVWF       _UART2_DataReady+1 
;interrupts_routines.h,70 :: 		buffer2[i2]=c2 ;
	MOVLW       _buffer2+0
	ADDWF       _i2+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer2+0)
	ADDWFC      _i2+1, 0 
	MOVWF       FSR1H 
	MOVF        _c2+0, 0 
	MOVWF       POSTINC1+0 
;interrupts_routines.h,71 :: 		Index2=i2;
	MOVF        _i2+0, 0 
	MOVWF       _Index2+0 
	MOVF        _i2+1, 0 
	MOVWF       _Index2+1 
;interrupts_routines.h,73 :: 		c2=0;
	CLRF        _c2+0 
;interrupts_routines.h,74 :: 		}
	GOTO        L_Interrupts53
L_Interrupts52:
;interrupts_routines.h,77 :: 		buffer2[i2]=c2;
	MOVLW       _buffer2+0
	ADDWF       _i2+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer2+0)
	ADDWFC      _i2+1, 0 
	MOVWF       FSR1H 
	MOVF        _c2+0, 0 
	MOVWF       POSTINC1+0 
;interrupts_routines.h,78 :: 		Index2=i2;
	MOVF        _i2+0, 0 
	MOVWF       _Index2+0 
	MOVF        _i2+1, 0 
	MOVWF       _Index2+1 
;interrupts_routines.h,79 :: 		i2++;
	INFSNZ      _i2+0, 1 
	INCF        _i2+1, 1 
;interrupts_routines.h,80 :: 		}
L_Interrupts53:
;interrupts_routines.h,82 :: 		if (i2 >=MAXLEN2)
	MOVLW       1
	SUBWF       _i2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupts121
	MOVLW       0
	SUBWF       _i2+0, 0 
L__Interrupts121:
	BTFSS       STATUS+0, 0 
	GOTO        L_Interrupts54
;interrupts_routines.h,84 :: 		UART2_DataReady=2;
	MOVLW       2
	MOVWF       _UART2_DataReady+0 
	MOVLW       0
	MOVWF       _UART2_DataReady+1 
;interrupts_routines.h,86 :: 		RC2IE_bit=0 ;
	BCF         RC2IE_bit+0, BitPos(RC2IE_bit+0) 
;interrupts_routines.h,88 :: 		i2--;
	MOVLW       1
	SUBWF       _i2+0, 1 
	MOVLW       0
	SUBWFB      _i2+1, 1 
;interrupts_routines.h,89 :: 		buffer2[i2]=0;
	MOVLW       _buffer2+0
	ADDWF       _i2+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer2+0)
	ADDWFC      _i2+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;interrupts_routines.h,90 :: 		Index2=i2;
	MOVF        _i2+0, 0 
	MOVWF       _Index2+0 
	MOVF        _i2+1, 0 
	MOVWF       _Index2+1 
;interrupts_routines.h,91 :: 		i2=0;
	CLRF        _i2+0 
	CLRF        _i2+1 
;interrupts_routines.h,92 :: 		c2=0;
	CLRF        _c2+0 
;interrupts_routines.h,93 :: 		}
L_Interrupts54:
;interrupts_routines.h,94 :: 		}
L_Interrupts49:
;interrupts_routines.h,110 :: 		if((TMR0IE_bit==1) && (TMR0IF_bit==1))
	BTFSS       TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
	GOTO        L_Interrupts57
	BTFSS       TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
	GOTO        L_Interrupts57
L__Interrupts96:
;interrupts_routines.h,113 :: 		Cpt0++;
	INFSNZ      _Cpt0+0, 1 
	INCF        _Cpt0+1, 1 
;interrupts_routines.h,114 :: 		if(Cpt0>NB_IT_TMR0)     // duree 10 sec
	MOVLW       0
	MOVWF       R0 
	MOVF        _Cpt0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupts122
	MOVF        _Cpt0+0, 0 
	SUBLW       2
L__Interrupts122:
	BTFSC       STATUS+0, 0 
	GOTO        L_Interrupts58
;interrupts_routines.h,116 :: 		Flag_Timer0=1;
	MOVLW       1
	MOVWF       _Flag_Timer0+0 
	MOVLW       0
	MOVWF       _Flag_Timer0+1 
;interrupts_routines.h,117 :: 		TMR0IE_bit=0;  // interdit interrupt
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;interrupts_routines.h,118 :: 		Cpt0=0;
	CLRF        _Cpt0+0 
	CLRF        _Cpt0+1 
;interrupts_routines.h,119 :: 		TMR0ON_bit=0; // stop timer
	BCF         TMR0ON_bit+0, BitPos(TMR0ON_bit+0) 
;interrupts_routines.h,120 :: 		}
L_Interrupts58:
;interrupts_routines.h,122 :: 		TMR0H= 0x48; // hi 18661;
	MOVLW       72
	MOVWF       TMR0H+0 
;interrupts_routines.h,123 :: 		TMR0L =0xE5 ; // Lo 18661;
	MOVLW       229
	MOVWF       TMR0L+0 
;interrupts_routines.h,124 :: 		TMR0IF_bit=0; // Raz Flag
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;interrupts_routines.h,125 :: 		}
L_Interrupts57:
;interrupts_routines.h,147 :: 		}
L_end_Interrupts:
L__Interrupts119:
	RETFIE      1
; end of _Interrupts

_Mesure_Temperature_Filtree:

;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,212 :: 		float Mesure_Temperature_Filtree(int M1)     // M1 = indice numero de voie ANA
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,215 :: 		EAx= Read_ADC(M1);//ADC_Read(M1);
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       FARG_Read_ADC_Canal+0 
	CALL        _Read_ADC+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,216 :: 		Table_EA[M1][Nbval & 0x0007]=EAx;
	MOVLW       4
	MOVWF       R4 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       R2 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+1, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__Mesure_Temperature_Filtree124:
	BZ          L__Mesure_Temperature_Filtree125
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__Mesure_Temperature_Filtree124
L__Mesure_Temperature_Filtree125:
	MOVLW       _Table_EA+0
	ADDWF       R2, 0 
	MOVWF       R7 
	MOVLW       hi_addr(_Table_EA+0)
	ADDWFC      R3, 0 
	MOVWF       R8 
	MOVLW       7
	ANDWF       _Nbval+0, 0 
	MOVWF       R5 
	MOVF        _Nbval+1, 0 
	MOVWF       R6 
	MOVLW       0
	ANDWF       R6, 1 
	MOVF        R5, 0 
	MOVWF       R2 
	MOVF        R6, 0 
	MOVWF       R3 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	MOVF        R2, 0 
	ADDWF       R7, 0 
	MOVWF       FSR1 
	MOVF        R3, 0 
	ADDWFC      R8, 0 
	MOVWF       FSR1H 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,217 :: 		Nbval++;
	INFSNZ      _Nbval+0, 1 
	INCF        _Nbval+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,218 :: 		Somme_EA[M1]=0;
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,219 :: 		for (ii=0;ii<8;ii++)
	CLRF        Mesure_Temperature_Filtree_ii_L0+0 
	CLRF        Mesure_Temperature_Filtree_ii_L0+1 
L_Mesure_Temperature_Filtree59:
	MOVLW       0
	SUBWF       Mesure_Temperature_Filtree_ii_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Mesure_Temperature_Filtree126
	MOVLW       8
	SUBWF       Mesure_Temperature_Filtree_ii_L0+0, 0 
L__Mesure_Temperature_Filtree126:
	BTFSC       STATUS+0, 0 
	GOTO        L_Mesure_Temperature_Filtree60
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,221 :: 		Somme_EA[M1]= Somme_EA[M1] + Table_EA[M1][ii];
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       R5 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       R6 
	MOVLW       4
	MOVWF       R2 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Mesure_Temperature_Filtree127:
	BZ          L__Mesure_Temperature_Filtree128
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Mesure_Temperature_Filtree127
L__Mesure_Temperature_Filtree128:
	MOVLW       _Table_EA+0
	ADDWF       R0, 0 
	MOVWF       R3 
	MOVLW       hi_addr(_Table_EA+0)
	ADDWFC      R1, 0 
	MOVWF       R4 
	MOVF        Mesure_Temperature_Filtree_ii_L0+0, 0 
	MOVWF       R0 
	MOVF        Mesure_Temperature_Filtree_ii_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR2H 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVF        POSTINC2+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,219 :: 		for (ii=0;ii<8;ii++)
	INFSNZ      Mesure_Temperature_Filtree_ii_L0+0, 1 
	INCF        Mesure_Temperature_Filtree_ii_L0+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,222 :: 		}
	GOTO        L_Mesure_Temperature_Filtree59
L_Mesure_Temperature_Filtree60:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,223 :: 		f2=(float)Somme_EA[M1] * 0.0061035;  // // soit 500.0 / (8 x 1024.0); // LM35DZ 10mV/V
	MOVF        FARG_Mesure_Temperature_Filtree_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Temperature_Filtree_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVLW       222
	MOVWF       R4 
	MOVLW       255
	MOVWF       R5 
	MOVLW       71
	MOVWF       R6 
	MOVLW       119
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,224 :: 		return f2;
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,225 :: 		}
L_end_Mesure_Temperature_Filtree:
	RETURN      0
; end of _Mesure_Temperature_Filtree

_Mesure_Moyenne_Glissante_Temperature:

;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,227 :: 		unsigned int Mesure_Moyenne_Glissante_Temperature(int M1)     // M1 = indice numero de voie ANA
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,229 :: 		EAx= Read_ADC(M1); // ADC_Read(M1);
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       FARG_Read_ADC_Canal+0 
	CALL        _Read_ADC+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,230 :: 		Table_EA[M1][Nbval & 0x0007]=EAx;
	MOVLW       4
	MOVWF       R4 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       R2 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__Mesure_Moyenne_Glissante_Temperature130:
	BZ          L__Mesure_Moyenne_Glissante_Temperature131
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__Mesure_Moyenne_Glissante_Temperature130
L__Mesure_Moyenne_Glissante_Temperature131:
	MOVLW       _Table_EA+0
	ADDWF       R2, 0 
	MOVWF       R7 
	MOVLW       hi_addr(_Table_EA+0)
	ADDWFC      R3, 0 
	MOVWF       R8 
	MOVLW       7
	ANDWF       _Nbval+0, 0 
	MOVWF       R5 
	MOVF        _Nbval+1, 0 
	MOVWF       R6 
	MOVLW       0
	ANDWF       R6, 1 
	MOVF        R5, 0 
	MOVWF       R2 
	MOVF        R6, 0 
	MOVWF       R3 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	MOVF        R2, 0 
	ADDWF       R7, 0 
	MOVWF       FSR1 
	MOVF        R3, 0 
	ADDWFC      R8, 0 
	MOVWF       FSR1H 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,231 :: 		Nbval++;
	INFSNZ      _Nbval+0, 1 
	INCF        _Nbval+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,232 :: 		Somme_EA[M1]=0;
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,233 :: 		for (ii=0;ii<8;ii++)
	CLRF        Mesure_Moyenne_Glissante_Temperature_ii_L0+0 
	CLRF        Mesure_Moyenne_Glissante_Temperature_ii_L0+1 
L_Mesure_Moyenne_Glissante_Temperature62:
	MOVLW       0
	SUBWF       Mesure_Moyenne_Glissante_Temperature_ii_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Mesure_Moyenne_Glissante_Temperature132
	MOVLW       8
	SUBWF       Mesure_Moyenne_Glissante_Temperature_ii_L0+0, 0 
L__Mesure_Moyenne_Glissante_Temperature132:
	BTFSC       STATUS+0, 0 
	GOTO        L_Mesure_Moyenne_Glissante_Temperature63
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,235 :: 		Somme_EA[M1]= Somme_EA[M1] + Table_EA[M1][ii];
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       R5 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       R6 
	MOVLW       4
	MOVWF       R2 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Mesure_Moyenne_Glissante_Temperature133:
	BZ          L__Mesure_Moyenne_Glissante_Temperature134
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Mesure_Moyenne_Glissante_Temperature133
L__Mesure_Moyenne_Glissante_Temperature134:
	MOVLW       _Table_EA+0
	ADDWF       R0, 0 
	MOVWF       R3 
	MOVLW       hi_addr(_Table_EA+0)
	ADDWFC      R1, 0 
	MOVWF       R4 
	MOVF        Mesure_Moyenne_Glissante_Temperature_ii_L0+0, 0 
	MOVWF       R0 
	MOVF        Mesure_Moyenne_Glissante_Temperature_ii_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR2 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR2H 
	MOVFF       R5, FSR0
	MOVFF       R6, FSR0H
	MOVF        POSTINC2+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R5, FSR1
	MOVFF       R6, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,233 :: 		for (ii=0;ii<8;ii++)
	INFSNZ      Mesure_Moyenne_Glissante_Temperature_ii_L0+0, 1 
	INCF        Mesure_Moyenne_Glissante_Temperature_ii_L0+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,236 :: 		}
	GOTO        L_Mesure_Moyenne_Glissante_Temperature62
L_Mesure_Moyenne_Glissante_Temperature63:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,237 :: 		EAx=Somme_EA[M1]>>4 ;  // soit 512  pleine echelle au lieu de 500 // LM35DZ 10mV/V
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0, 0 
	MOVWF       R0 
	MOVF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Somme_EA+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Somme_EA+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	MOVF        R2, 0 
	MOVWF       R4 
	RRCF        R4, 1 
	RRCF        R3, 1 
	BCF         R4, 7 
	RRCF        R4, 1 
	RRCF        R3, 1 
	BCF         R4, 7 
	RRCF        R4, 1 
	RRCF        R3, 1 
	BCF         R4, 7 
	RRCF        R4, 1 
	RRCF        R3, 1 
	BCF         R4, 7 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,238 :: 		ii=EAx>>6;
	MOVLW       6
	MOVWF       R2 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Mesure_Moyenne_Glissante_Temperature135:
	BZ          L__Mesure_Moyenne_Glissante_Temperature136
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	ADDLW       255
	GOTO        L__Mesure_Moyenne_Glissante_Temperature135
L__Mesure_Moyenne_Glissante_Temperature136:
	MOVF        R0, 0 
	MOVWF       Mesure_Moyenne_Glissante_Temperature_ii_L0+0 
	MOVF        R1, 0 
	MOVWF       Mesure_Moyenne_Glissante_Temperature_ii_L0+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,239 :: 		EAx=EAx-ii;          // on enleve 1/64 soit 8 maximum pour reduire l'erreur  504 pour 500
	MOVF        R0, 0 
	SUBWF       R3, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	SUBWFB      R4, 0 
	MOVWF       R1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,240 :: 		return EAx;    //
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,241 :: 		}
L_end_Mesure_Moyenne_Glissante_Temperature:
	RETURN      0
; end of _Mesure_Moyenne_Glissante_Temperature

_main:

;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,243 :: 		void main ()
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,246 :: 		OSCCON.IRCF2=1;
	BSF         OSCCON+0, 6 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,247 :: 		OSCCON.IRCF1=1;
	BSF         OSCCON+0, 5 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,248 :: 		OSCCON.IRCF0=1;
	BSF         OSCCON+0, 4 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,249 :: 		OSCCON.SCS1=1;
	BSF         OSCCON+0, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,250 :: 		OSCCON.SCS0=0;
	BCF         OSCCON+0, 0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,252 :: 		while(OSCCON.HFIOFS==0);
L_main65:
	BTFSC       OSCCON+0, 2 
	GOTO        L_main66
	GOTO        L_main65
L_main66:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,256 :: 		PMD0=0;
	CLRF        PMD0+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,257 :: 		C1ON_bit = 0;       // Disable comparators
	BCF         C1ON_bit+0, BitPos(C1ON_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,258 :: 		C2ON_bit = 0;
	BCF         C2ON_bit+0, BitPos(C2ON_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,259 :: 		PORTB = 0x00;
	CLRF        PORTB+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,260 :: 		ANSELB=0;
	CLRF        ANSELB+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,262 :: 		PORTA = 0xFF;
	MOVLW       255
	MOVWF       PORTA+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,263 :: 		TRISA=0b11101111 ;   // RA4 as output  RA0,1,2,3,5=input
	MOVLW       239
	MOVWF       TRISA+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,264 :: 		ANSELA=0x01;   // RA0 as analog
	MOVLW       1
	MOVWF       ANSELA+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,265 :: 		Led_Direction=0;
	BCF         TRISA4_bit+0, BitPos(TRISA4_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,267 :: 		ANSELC=0;
	CLRF        ANSELC+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,268 :: 		PORTC = 0xFE;       // set PORTC to $FF
	MOVLW       254
	MOVWF       PORTC+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,269 :: 		TRISC=0b11111101 ; //RC1 as output
	MOVLW       253
	MOVWF       TRISC+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,271 :: 		TRISE=0;
	CLRF        TRISE+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,272 :: 		PORTE=0xFF;
	MOVLW       255
	MOVWF       PORTE+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,274 :: 		PORTD = 0;
	CLRF        PORTD+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,279 :: 		TRISD=0b11110000;
	MOVLW       240
	MOVWF       TRISD+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,280 :: 		ANSELD  = 0;       // Configure AN pins as digital I/O
	CLRF        ANSELD+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,281 :: 		HLVDCON.HLVDEN=0;
	BCF         HLVDCON+0, 4 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,283 :: 		Delay_ms(750);
	MOVLW       16
	MOVWF       R11, 0
	MOVLW       57
	MOVWF       R12, 0
	MOVLW       13
	MOVWF       R13, 0
L_main67:
	DECFSZ      R13, 1, 1
	BRA         L_main67
	DECFSZ      R12, 1, 1
	BRA         L_main67
	DECFSZ      R11, 1, 1
	BRA         L_main67
	NOP
	NOP
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,284 :: 		txt=&TEXTE[0];
	MOVLW       _TEXTE+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(_TEXTE+0)
	MOVWF       _txt+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,286 :: 		UART1_Init(19200);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,288 :: 		while (UART1_Tx_Idle() == 0) ;
L_main68:
	CALL        _UART1_Tx_Idle+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main69
	GOTO        L_main68
L_main69:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,289 :: 		UART1_Write(CLS);
	MOVLW       12
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,290 :: 		Delay_ms(200);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main70:
	DECFSZ      R13, 1, 1
	BRA         L_main70
	DECFSZ      R12, 1, 1
	BRA         L_main70
	DECFSZ      R11, 1, 1
	BRA         L_main70
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,291 :: 		CRLF1();
	CALL        _CRLF1+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,293 :: 		UART1_Write_CText("Mikroc Pro 6.620\r\n ");
	MOVLW       ?lstr_1_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_1_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_1_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,294 :: 		UART1_Write_CText("version :"Version"\r\n");
	MOVLW       ?lstr_2_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_2_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_2_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,295 :: 		UART1_Write_CText("Source :"Source"\r\n");
	MOVLW       ?lstr_3_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_3_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_3_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,296 :: 		UART1_Write_CText("18F45K22 Ready for PIC\r\n ");
	MOVLW       ?lstr_4_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_4_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_4_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,297 :: 		UART1_Write_CText("LCD COG2x16 sur PORTB \r\n");
	MOVLW       ?lstr_5_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_5_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_5_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,298 :: 		UART1_Write_CText("UART1 via USB -> COM23 Vbray Terminal\r\n ");
	MOVLW       ?lstr_6_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_6_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_6_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,299 :: 		UART1_Write_CText("UART2 PORTD via Interface 2TR -> COM2 PC XP\r\n\r\n");
	MOVLW       ?lstr_7_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_7_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_7_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,313 :: 		UART1_Write_CText("init UART2 19200,8,N,1\r\n ");
	MOVLW       ?lstr_8_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_8_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_8_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,315 :: 		UART2_Init(19200);
	BSF         BAUDCON2+0, 3, 0
	CLRF        SPBRGH2+0 
	MOVLW       207
	MOVWF       SPBRG2+0 
	BSF         TXSTA2+0, 2, 0
	CALL        _UART2_Init+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,317 :: 		while (UART2_Tx_Idle() == 0) ;
L_main71:
	CALL        _UART2_Tx_Idle+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main72
	GOTO        L_main71
L_main72:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,318 :: 		UART2_Write(CLS);
	MOVLW       12
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,319 :: 		Delay_ms(1000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main73:
	DECFSZ      R13, 1, 1
	BRA         L_main73
	DECFSZ      R12, 1, 1
	BRA         L_main73
	DECFSZ      R11, 1, 1
	BRA         L_main73
	NOP
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,322 :: 		UART2_Write('A');  UART2_Write('B');  UART2_Write('C');
	MOVLW       65
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
	MOVLW       66
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
	MOVLW       67
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,323 :: 		CRLF2();
	CALL        _CRLF2+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,325 :: 		UART1_Write_CText("LCD COG init\r\n ");
	MOVLW       ?lstr_9_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_9_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_9_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,326 :: 		Lcd_Init();                        // Initialize LCD
	CALL        _Lcd_Init+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,327 :: 		UART1_Write_CText("ADC init\r\n ");
	MOVLW       ?lstr_10_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_10_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_10_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,329 :: 		Init_ADC();
	CALL        _Init_ADC+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,332 :: 		Delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L_main74:
	DECFSZ      R13, 1, 1
	BRA         L_main74
	DECFSZ      R12, 1, 1
	BRA         L_main74
	DECFSZ      R11, 1, 1
	BRA         L_main74
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,334 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,335 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,336 :: 		Lcd_Out(1,1," 18F45K22 16Mhz ");                 // Write text in first row
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr11_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr11_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,337 :: 		Lcd_Out(2,1,"UART1,UART2,ADC ");                 // Write text in second row
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr12_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr12_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,338 :: 		j=0;
	CLRF        _j+0 
	CLRF        _j+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,341 :: 		for (i=0;i<8;i++)
	CLRF        _i+0 
	CLRF        _i+1 
L_main75:
	MOVLW       0
	SUBWF       _i+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main138
	MOVLW       8
	SUBWF       _i+0, 0 
L__main138:
	BTFSC       STATUS+0, 0 
	GOTO        L_main76
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,343 :: 		Table_EA[0][i]=Read_ADC(0);  //   ADC_Read(0) biblio ME
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVF        _i+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Table_EA+0
	ADDWF       R0, 0 
	MOVWF       FLOC__main+0 
	MOVLW       hi_addr(_Table_EA+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__main+1 
	CLRF        FARG_Read_ADC_Canal+0 
	CALL        _Read_ADC+0, 0
	MOVFF       FLOC__main+0, FSR1
	MOVFF       FLOC__main+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,344 :: 		Delay_ms(10);
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main78:
	DECFSZ      R13, 1, 1
	BRA         L_main78
	DECFSZ      R12, 1, 1
	BRA         L_main78
	NOP
	NOP
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,341 :: 		for (i=0;i<8;i++)
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,345 :: 		}
	GOTO        L_main75
L_main76:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,347 :: 		Somme_EA[0]=0;
	CLRF        _Somme_EA+0 
	CLRF        _Somme_EA+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,348 :: 		Nbval=0;
	CLRF        _Nbval+0 
	CLRF        _Nbval+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,349 :: 		Drapeaux.Mesure=1;
	BSF         _Drapeaux+0, 6 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,350 :: 		Drapeaux.FLT=1;
	BSF         _Drapeaux+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,351 :: 		UART1_Write_Text("FLT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr13_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr13_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,352 :: 		UART2_Write_Text("FLT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr14_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr14_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,353 :: 		txt=&TEXTE[0];
	MOVLW       _TEXTE+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(_TEXTE+0)
	MOVWF       _txt+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,355 :: 		UART1_Write_CText("Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER \r\n");
	MOVLW       ?lstr_15_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_15_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_15_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,356 :: 		UART2_Write_CText("Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER \r\n");
	MOVLW       ?lstr_16_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_CText_txt2+0 
	MOVLW       hi_addr(?lstr_16_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+1 
	MOVLW       higher_addr(?lstr_16_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+2 
	CALL        _UART2_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,359 :: 		RCSTA1.SPEN = 1;
	BSF         RCSTA1+0, 7 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,360 :: 		RCSTA1.RCEN=1;
	BSF         RCSTA1+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,361 :: 		RCSTA2.SPEN = 1;
	BSF         RCSTA2+0, 7 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,362 :: 		RCSTA2.RCEN=1;
	BSF         RCSTA2+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,363 :: 		RCSTA2.ADDEN=0;
	BCF         RCSTA2+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,364 :: 		RCSTA1.ADDEN=0;
	BCF         RCSTA1+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,365 :: 		RCON.IPEN=1   ;  // enable priority levels
	BSF         RCON+0, 7 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,366 :: 		PEIE_bit = 1;   // Enable peripheral interrupts
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,367 :: 		GIE_bit  = 1;   // Enable global interrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,368 :: 		RAZ_UART1();    //RAZ buffer1 et arme RX1 Interrupt
	CALL        _RAZ_UART1+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,369 :: 		RAZ_UART2();    //RAZ buffer2 et arme RX2 Interrupt
	CALL        _RAZ_UART2+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,371 :: 		while(1)
L_main79:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,373 :: 		Init_Timer0();
	CALL        _Init_Timer0+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,374 :: 		if (UART1_DataReady==1)
	MOVLW       0
	XORWF       _UART1_DataReady+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main139
	MOVLW       1
	XORWF       _UART1_DataReady+0, 0 
L__main139:
	BTFSS       STATUS+0, 2 
	GOTO        L_main81
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,376 :: 		p1=strstr(buffer1,"LED ON");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr17_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr17_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,377 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main140
	MOVF        R0, 0 
	SUBLW       0
L__main140:
	BTFSC       STATUS+0, 0 
	GOTO        L_main82
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,379 :: 		Led=1;
	BSF         LATA4_bit+0, BitPos(LATA4_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,380 :: 		UART2_Write_CText("LED ON \r\n");
	MOVLW       ?lstr_18_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_CText_txt2+0 
	MOVLW       hi_addr(?lstr_18_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+1 
	MOVLW       higher_addr(?lstr_18_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+2 
	CALL        _UART2_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,381 :: 		p1=0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,382 :: 		}
L_main82:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,383 :: 		p1=strstr(buffer1,"LED OFF");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr19_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr19_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,384 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main141
	MOVF        R0, 0 
	SUBLW       0
L__main141:
	BTFSC       STATUS+0, 0 
	GOTO        L_main83
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,386 :: 		Led=0;
	BCF         LATA4_bit+0, BitPos(LATA4_bit+0) 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,387 :: 		UART2_Write_CText("LED OFF \r\n");
	MOVLW       ?lstr_20_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_CText_txt2+0 
	MOVLW       hi_addr(?lstr_20_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+1 
	MOVLW       higher_addr(?lstr_20_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+2 
	CALL        _UART2_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,388 :: 		p1= 0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,389 :: 		}
L_main83:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,390 :: 		p1=strstr(buffer1,"MESURE ON");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr21_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr21_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,391 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main142
	MOVF        R0, 0 
	SUBLW       0
L__main142:
	BTFSC       STATUS+0, 0 
	GOTO        L_main84
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,393 :: 		UART2_Write_Text("Marche Mesure ADC\r\n ");
	MOVLW       ?lstr22_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr22_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,394 :: 		Drapeaux.Mesure=1;
	BSF         _Drapeaux+0, 6 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,395 :: 		p1=0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,396 :: 		}
L_main84:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,397 :: 		p1=strstr(buffer1,"MESURE OFF");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr23_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr23_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,398 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main143
	MOVF        R0, 0 
	SUBLW       0
L__main143:
	BTFSC       STATUS+0, 0 
	GOTO        L_main85
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,400 :: 		UART2_Write_Text("Arret Mesure ADC\r\n ");
	MOVLW       ?lstr24_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr24_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,401 :: 		Drapeaux.Mesure=0;
	BCF         _Drapeaux+0, 6 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,402 :: 		p1=0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,403 :: 		}
L_main85:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,404 :: 		p1=strstr(buffer1,"FLOAT");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr25_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr25_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,405 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main144
	MOVF        R0, 0 
	SUBLW       0
L__main144:
	BTFSC       STATUS+0, 0 
	GOTO        L_main86
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,407 :: 		UART1_Write_Text("FLT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr26_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr26_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,408 :: 		Drapeaux.FLT=1;
	BSF         _Drapeaux+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,409 :: 		p1=0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,410 :: 		}
L_main86:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,411 :: 		p1=strstr(buffer1,"INTEGER");
	MOVLW       _buffer1+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer1+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr27_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr27_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p1+0 
	MOVF        R1, 0 
	MOVWF       _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,412 :: 		if (p1>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main145
	MOVF        R0, 0 
	SUBLW       0
L__main145:
	BTFSC       STATUS+0, 0 
	GOTO        L_main87
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,414 :: 		UART1_Write_CText("INT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr_28_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART1_Write_CText_txt1+0 
	MOVLW       hi_addr(?lstr_28_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+1 
	MOVLW       higher_addr(?lstr_28_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART1_Write_CText_txt1+2 
	CALL        _UART1_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,415 :: 		Drapeaux.FLT=0;
	BCF         _Drapeaux+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,416 :: 		p1=0;
	CLRF        _p1+0 
	CLRF        _p1+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,417 :: 		}
L_main87:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,418 :: 		RAZ_UART1();
	CALL        _RAZ_UART1+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,419 :: 		}
L_main81:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,420 :: 		if( UART2_DataReady==1)
	MOVLW       0
	XORWF       _UART2_DataReady+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main146
	MOVLW       1
	XORWF       _UART2_DataReady+0, 0 
L__main146:
	BTFSS       STATUS+0, 2 
	GOTO        L_main88
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,421 :: 		{   UART2_Write_CText("Recu Buffer2 : ");
	MOVLW       ?lstr_29_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_CText_txt2+0 
	MOVLW       hi_addr(?lstr_29_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+1 
	MOVLW       higher_addr(?lstr_29_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+2 
	CALL        _UART2_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,422 :: 		UART2_Write_Text(buffer2);
	MOVLW       _buffer2+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_buffer2+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,423 :: 		CRLF2();
	CALL        _CRLF2+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,426 :: 		p2=strstr(buffer2,"FLOAT");
	MOVLW       _buffer2+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer2+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr30_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr30_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p2+0 
	MOVF        R1, 0 
	MOVWF       _p2+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,427 :: 		if (p2>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main147
	MOVF        R0, 0 
	SUBLW       0
L__main147:
	BTFSC       STATUS+0, 0 
	GOTO        L_main89
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,429 :: 		UART2_Write_CText("FLT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr_31_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_CText_txt2+0 
	MOVLW       hi_addr(?lstr_31_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+1 
	MOVLW       higher_addr(?lstr_31_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_CText_txt2+2 
	CALL        _UART2_Write_CText+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,430 :: 		Drapeaux.FLT=1;
	BSF         _Drapeaux+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,431 :: 		p2=0;
	CLRF        _p2+0 
	CLRF        _p2+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,432 :: 		}
L_main89:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,433 :: 		p2=strstr(buffer2,"INTEGER");
	MOVLW       _buffer2+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_buffer2+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       ?lstr32_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(?lstr32_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	MOVWF       _p2+0 
	MOVF        R1, 0 
	MOVWF       _p2+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,434 :: 		if (p2>0)
	MOVLW       0
	MOVWF       R2 
	MOVF        R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main148
	MOVF        R0, 0 
	SUBLW       0
L__main148:
	BTFSC       STATUS+0, 0 
	GOTO        L_main90
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,436 :: 		UART2_Write_Text("INT moyenne arithmetique glissante \r\n ");
	MOVLW       ?lstr33_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr33_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,437 :: 		Drapeaux.FLT=1;
	BSF         _Drapeaux+0, 3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,438 :: 		p2=0;
	CLRF        _p2+0 
	CLRF        _p2+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,439 :: 		}
L_main90:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,440 :: 		RAZ_UART2();
	CALL        _RAZ_UART2+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,441 :: 		}
L_main88:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,443 :: 		if (Drapeaux.Mesure==1)
	BTFSS       _Drapeaux+0, 6 
	GOTO        L_main91
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,445 :: 		strConstRamCpy(txt, "Mesure ");
	MOVF        _txt+0, 0 
	MOVWF       FARG_strConstRamCpy_dest+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strConstRamCpy_dest+1 
	MOVLW       ?lstr_34_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strConstRamCpy_source+0 
	MOVLW       hi_addr(?lstr_34_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+1 
	MOVLW       higher_addr(?lstr_34_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+2 
	CALL        _strConstRamCpy+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,446 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,447 :: 		Lcd_Out(1,1,txt4);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt4+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt4+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,448 :: 		WordToStr(j,IntValue);
	MOVF        _j+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _j+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _IntValue+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,449 :: 		strcat(txt,IntValue);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       _IntValue+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,450 :: 		k=strlen(txt);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _k+0 
	MOVF        R1, 0 
	MOVWF       _k+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,451 :: 		strConstRamCpy(txt+k, " ADC0 = ");
	MOVF        R0, 0 
	ADDWF       _txt+0, 0 
	MOVWF       FARG_strConstRamCpy_dest+0 
	MOVF        R1, 0 
	ADDWFC      _txt+1, 0 
	MOVWF       FARG_strConstRamCpy_dest+1 
	MOVLW       ?lstr_35_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strConstRamCpy_source+0 
	MOVLW       hi_addr(?lstr_35_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+1 
	MOVLW       higher_addr(?lstr_35_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+2 
	CALL        _strConstRamCpy+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,452 :: 		Lcd_Out(1,8,IntValue);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _IntValue+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,454 :: 		temp_res = Read_ADC(0); //ADC_Read(0) ;
	CLRF        FARG_Read_ADC_Canal+0 
	CALL        _Read_ADC+0, 0
	MOVF        R0, 0 
	MOVWF       _temp_res+0 
	MOVF        R1, 0 
	MOVWF       _temp_res+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,455 :: 		WordToStr(temp_res,IntValue);
	MOVF        R0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _IntValue+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,456 :: 		strcat(txt,IntValue);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       _IntValue+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,457 :: 		k=strlen(txt);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _k+0 
	MOVF        R1, 0 
	MOVWF       _k+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,458 :: 		strConstRamCpy(txt+k, " points \t");
	MOVF        R0, 0 
	ADDWF       _txt+0, 0 
	MOVWF       FARG_strConstRamCpy_dest+0 
	MOVF        R1, 0 
	ADDWFC      _txt+1, 0 
	MOVWF       FARG_strConstRamCpy_dest+1 
	MOVLW       ?lstr_36_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strConstRamCpy_source+0 
	MOVLW       hi_addr(?lstr_36_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+1 
	MOVLW       higher_addr(?lstr_36_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strConstRamCpy_source+2 
	CALL        _strConstRamCpy+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,460 :: 		Lcd_Out(2,1,IntValue );
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _IntValue+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_IntValue+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,462 :: 		f1=(float)temp_res* 0.048828125;  // 10mV/C * 5.00/1024;
	MOVF        _temp_res+0, 0 
	MOVWF       R0 
	MOVF        _temp_res+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       72
	MOVWF       R6 
	MOVLW       122
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _f1+0 
	MOVF        R1, 0 
	MOVWF       _f1+1 
	MOVF        R2, 0 
	MOVWF       _f1+2 
	MOVF        R3, 0 
	MOVWF       _f1+3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,463 :: 		k=strlen(txt);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _k+0 
	MOVF        R1, 0 
	MOVWF       _k+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,464 :: 		fltToa (f1,txt+k,2);
	MOVF        _f1+0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        _f1+1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        _f1+2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        _f1+3, 0 
	MOVWF       FARG_fltToa_x+3 
	MOVF        R0, 0 
	ADDWF       _txt+0, 0 
	MOVWF       FARG_fltToa_str+0 
	MOVF        R1, 0 
	ADDWFC      _txt+1, 0 
	MOVWF       FARG_fltToa_str+1 
	MOVLW       2
	MOVWF       FARG_fltToa_precision+0 
	CALL        _fltToa+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,465 :: 		strcat(txt,"C");
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr37_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr37_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,466 :: 		if(Drapeaux.FLT==1)
	BTFSS       _Drapeaux+0, 3 
	GOTO        L_main92
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,468 :: 		strcat(txt," Filtree FLT = ");
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr38_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr38_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,469 :: 		f1= Mesure_Temperature_Filtree(0);   // filtrage avec  calcul flottant
	CLRF        FARG_Mesure_Temperature_Filtree_M1+0 
	CLRF        FARG_Mesure_Temperature_Filtree_M1+1 
	CALL        _Mesure_Temperature_Filtree+0, 0
	MOVF        R0, 0 
	MOVWF       _f1+0 
	MOVF        R1, 0 
	MOVWF       _f1+1 
	MOVF        R2, 0 
	MOVWF       _f1+2 
	MOVF        R3, 0 
	MOVWF       _f1+3 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,470 :: 		k=strlen(txt);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _k+0 
	MOVF        R1, 0 
	MOVWF       _k+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,471 :: 		fltToa (f1,txt+k,2) ;
	MOVF        _f1+0, 0 
	MOVWF       FARG_fltToa_x+0 
	MOVF        _f1+1, 0 
	MOVWF       FARG_fltToa_x+1 
	MOVF        _f1+2, 0 
	MOVWF       FARG_fltToa_x+2 
	MOVF        _f1+3, 0 
	MOVWF       FARG_fltToa_x+3 
	MOVF        R0, 0 
	ADDWF       _txt+0, 0 
	MOVWF       FARG_fltToa_str+0 
	MOVF        R1, 0 
	ADDWFC      _txt+1, 0 
	MOVWF       FARG_fltToa_str+1 
	MOVLW       2
	MOVWF       FARG_fltToa_precision+0 
	CALL        _fltToa+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,472 :: 		Lcd_Out(2,9,txt+k);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        _k+0, 0 
	ADDWF       _txt+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        _k+1, 0 
	ADDWFC      _txt+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,473 :: 		strcat(txt,"C");
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr39_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr39_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,474 :: 		}
	GOTO        L_main93
L_main92:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,476 :: 		{   strcat(txt," Filtree INT = ");
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr40_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr40_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,477 :: 		EA0= Mesure_Moyenne_Glissante_Temperature(0);
	CLRF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+0 
	CLRF        FARG_Mesure_Moyenne_Glissante_Temperature_M1+1 
	CALL        _Mesure_Moyenne_Glissante_Temperature+0, 0
	MOVF        R0, 0 
	MOVWF       _EA0+0 
	MOVF        R1, 0 
	MOVWF       _EA0+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,478 :: 		k=strlen(txt);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _k+0 
	MOVF        R1, 0 
	MOVWF       _k+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,479 :: 		WordToStr(EA0,CRam1) ;
	MOVF        _EA0+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _EA0+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _CRam1+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,480 :: 		i=strlen(CRam1);
	MOVLW       _CRam1+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _i+0 
	MOVF        R1, 0 
	MOVWF       _i+1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,481 :: 		*(CRam1+i)=*(CRam1+i-1);
	MOVLW       _CRam1+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_CRam1+0)
	ADDWFC      R1, 1 
	MOVLW       1
	SUBWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	SUBWFB      R1, 0 
	MOVWF       FSR0H 
	MOVFF       R0, FSR1
	MOVFF       R1, FSR1H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,482 :: 		*(CRam1+i-1)='.';
	MOVLW       _CRam1+0
	ADDWF       _i+0, 0 
	MOVWF       R0 
	MOVLW       hi_addr(_CRam1+0)
	ADDWFC      _i+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	SUBWFB      R1, 0 
	MOVWF       FSR1H 
	MOVLW       46
	MOVWF       POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,483 :: 		*(CRam1+i+1)=0;
	MOVLW       _CRam1+0
	ADDWF       _i+0, 0 
	MOVWF       R0 
	MOVLW       hi_addr(_CRam1+0)
	ADDWFC      _i+1, 0 
	MOVWF       R1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,485 :: 		strcat(CRam1,"C");
	MOVLW       _CRam1+0
	MOVWF       FARG_strcat_to+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr41_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr41_18F45K22_UART1_FTDI_UART2_COG2x16_151123+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,486 :: 		Lcd_Out(2,9,CRam1);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _CRam1+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,487 :: 		strcat(txt,CRam1);
	MOVF        _txt+0, 0 
	MOVWF       FARG_strcat_to+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_strcat_to+1 
	MOVLW       _CRam1+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(_CRam1+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,488 :: 		}
L_main93:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,489 :: 		UART1_Write_Text(txt);  CRLF1();
	MOVF        _txt+0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
	CALL        _CRLF1+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,490 :: 		UART2_Write_Text(txt);  CRLF2();
	MOVF        _txt+0, 0 
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVF        _txt+1, 0 
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
	CALL        _CRLF2+0, 0
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,491 :: 		j++;
	INFSNZ      _j+0, 1 
	INCF        _j+1, 1 
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,492 :: 		}
L_main91:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,493 :: 		while(Flag_Timer0==0);
L_main94:
	MOVLW       0
	XORWF       _Flag_Timer0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main149
	MOVLW       0
	XORWF       _Flag_Timer0+0, 0 
L__main149:
	BTFSS       STATUS+0, 2 
	GOTO        L_main95
	GOTO        L_main94
L_main95:
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,494 :: 		}
	GOTO        L_main79
;18F45K22_UART1_FTDI_UART2_COG2x16_151123.c,496 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
