 #define Version "23-11-2015"
 #define Source "18F45K22_UART1_FTDI_UART2_COG2x16_151123.c"

// #define DEBUGGING
 //#define TEST_FOSC       // activer pour vrifier la config FOSC
 
// projet : 18F45K22_UART1_UART2_LCD_COG.mcppi
// Hardware :  Carte Ready for PIC 18F45K22 avec bootloader
// liaison USB - FTDI- UART1  115200 bauds
// LCD COG 16 sur connecteur PORT B
// Laison UART sur connecteur PORT D  +5,0V,RD6 TX -> ecran , RD7 RX <- Clavier
// Led sur port A4
// EA sur RA0

// re-Pig !
//http://www.mikroe.com/forum/viewtopic.php?f=88&t=57474&p=227298&hilit=UART2+18F45K22#p227298
// modif => LCD sur le PORTB
// modif => UART2 sur portD  RD6-RD7
// .. UART2 et LCD ..OK ....

// Version "20-11-2015"
// PB UART2 ,ni LCD ne sont OK ???

 // FOSC interne = 16MHz
 //P18F45K22_internal_FOSC_16Mhz_No_PLL.cfgsch
// LCD sur le PORTD !     .. BAD !!!!
// test UART2 RB6-RB7     ... BAD
//.. attention si usage ICSP : 
//  enlever les strap (Links) RB6-CMU-RB6 et RB7-CMU  RB7
//

// inverseur POWER sur la carte Ready for PIC   mettre cot 5V 
//  .. pour le LCD COG !  ne fonctionne plus  3,3V
// Ready for PIC 18F45K22 board
// UART1 RC6 RC7 -> via strap J2 J3 -> device FTDI--> USB connection ->  COM23 --> Vbray terminal


/*  
    Directory :    C:\_MikroC\_MesProjets_MikroC\_18F45K22_ReadyForPic\
    Projet :       18F45K22_UART1_COG.mcppi
    source:        18F45K22_UART1_COG2x16.c
    Hardware :     Ready for PIC 18F45K22
    Power supply:  SUPPLY SELECT SWITH on 5V
    USB terminal   UART1 -> via strap J2 J3 -> FTDI -> USB link -> PC WIN 10 Terminal Mikroe Port COM23
    RS232          UART2 RD6 TX RD7 RX via interface 2TR -> PC XT COM1 19200,8,N,1
    LCD COG        LCD COG 2x16 cars sur  connecteur HE10 port D
    LED            LED + 390 ohms on RA4 output
    Analog         Potar ou capteur LM35DZ sur RA0
    
  nota: sous MikroC
  ouvrir les 2 fenetres
  Mikrobootloader COM23 115200 bauds    flow controle : software
  Mikroelektronica Terminal  COM23 19200 8,1,N sans flow controle
   mais click sur "deconnect" du  terminal si on veut charger le hex via le mikrobootloader
   la liaison USB etant commune aux 2 programmes.
  voir Ready_for_Pic_18F45K22_terminal_UART1_via_FTDI_USB_COM23.jpg
   
                      //ac:Terminal_UART1_USB
                      
                      // ac:FTDI_Terminal
    
                      // ac:USB_serial_Bootloader                                    
     
                      // ac:Schema_ReadyForPIC
    
                      // ac:Datasheet_18F45K22

// FOSC interne =16Mhz
CONFIG1H : $300001 : 0x00A8
CONFIG2L : $300002 : 0x0010
CONFIG2H : $300003 : 0x003C
CONFIG3H : $300005 : 0x00BD
CONFIG4L : $300006 : 0x0081
CONFIG5L : $300008 : 0x000F
CONFIG5H : $300009 : 0x00C0
CONFIG6L : $30000A : 0x000F
CONFIG6H : $30000B : 0x00E0
CONFIG7L : $30000C : 0x000F
CONFIG7H : $30000D : 0x0040

*/
 #define HARDWARE "Ready_For_PIC"
 #define PIC18F45K22
 #define FOSC 16  //Mhz
 #define OSCILLATEUR_INTERNE            //16Mhz
 #define With_UART2
 #define With_TMR0
  //-- commandes terminal VT220
#define CLS 12     // effacement de page sur Terminal VBRAY
#define CR 13
#define VT 10
#define LF 10
#define TAB 9
#define Bell 7
#define Byte unsigned char

//unsigned char *p1;
//unsigned char *p2;
unsigned char CRam1[64];
char TEXTE[128];
char *txt;
char IntValue[12];
char txt0[] = " Ready for PIC  ";
char txt1[] = "18F45K22 proto  ";
char txt2[] = "with bootloader ";
char txt3[] = "COG  2x16 board ";
char txt4[] = "Mesure ";
unsigned int i,j,k,l;                              // Loop variable
unsigned int M;
unsigned int EA0, temp_res;
unsigned int Table_EA[8][8];
unsigned int Nbval;
unsigned Somme_EA[8];

unsigned long Freq;
float f1;

volatile struct chbits {   // 8 flags
     unsigned FrameErr:1;
     unsigned Over:1;
     unsigned Dialogue:1;
     unsigned FLT:1;
     unsigned Blc:1;
     unsigned Sommeil:1;
  //   unsigned Fill:1;
     unsigned Mesure:1;
     unsigned First_Run:1;
   }Drapeaux ;
   
#ifdef With_TMR0
#define NB_IT_TMR0 2    // 2x500mS
#include "Timer0_routines.h"        // init Timer0 500mS
// precaler=32 FOS=16Mhz TMR0=3035
/*
unsigned int Flag_Timer0;
unsigned int Cpt0;
unsigned int FlagOver;
void Init_Timer0(void) ;
*/
#endif

#include "../common/UART1_UART2_routines.h "
/*
extern unsigned int i;
extern void Interrupts() ;
#define MAXLEN1 128
unsigned char buffer1[MAXLEN1];
unsigned int Index1=0;
unsigned int i1=0;
unsigned int UART1_DataReady=0;
unsigned char c1=0;
#define MAXLEN2 256
unsigned char buffer2[MAXLEN2];
unsigned int UART2_DataReady=0;
unsigned int Index2=0;
unsigned int i2=0;
char c2;

void UART1_Write_CText(const char *txt1);
void UART2_Write_CText(const char *txt2);
void CRLF2(void);
void CRLF1(void);
void RAZ_UART1(void)
void RAZ_UART2(void);
*/

#include "../common/String_routines.h"        // autres fonctions String hors librairie MikroC
//void strConstRamCpy(char *dest, const char *source)
//void fltToa (double x, unsigned char *str,char precision)

#include "ADC_Routine.h"
//  void Init_ADC();  // for 18F45K22
// unsigned int Read_ADCx(unsigned char Canal);

#include "Interrupts_routines.h"
/*
void Interrupts() iv 0x0008 ics ICS_AUTO
{
//UART1
  if((RC1IF_bit==1) && (RC1IE_bit==1))
//UART2
 #ifdef With_UART2
   if((RC2IF_bit==1) && (RC2IE_bit==1))
    {
   #ifdef With_TMR0
  //   ====  IT Timer0  =============
  if((TMR0IE_bit==1) && (TMR0IF_bit==1))
   #ifdef With_TMR1
  //   ====  IT Timer1  =============
  if((TMR1IE_bit==1) && (TMR1IF_bit==1))
  {
*/

// *********LCD  COG 16 CONFIGURATION sur PORTB *********
 sbit LCD_RS at LATB2_bit;
 sbit LCD_EN at LATB3_bit;
 sbit LCD_D4 at LATB4_bit;
 sbit LCD_D5 at LATB5_bit;
 sbit LCD_D6 at LATB6_bit;
 sbit LCD_D7 at LATB7_bit;

 sbit LCD_RS_Direction at TRISB2_bit;
 sbit LCD_EN_Direction at TRISB3_bit;
 sbit LCD_D4_Direction at TRISB4_bit;
 sbit LCD_D5_Direction at TRISB5_bit;
 sbit LCD_D6_Direction at TRISB6_bit;
 sbit LCD_D7_Direction at TRISB7_bit;
 
 sbit Led at LATA4_bit;
 sbit Led_Direction at TRISA4_bit;

 float Mesure_Temperature_Filtree(int M1)     // M1 = indice numero de voie ANA
 {unsigned int EAx, ii;
  float f2;
  EAx= Read_ADC(M1);//ADC_Read(M1);
  Table_EA[M1][Nbval & 0x0007]=EAx;
  Nbval++;
  Somme_EA[M1]=0;
  for (ii=0;ii<8;ii++)
  {  
     Somme_EA[M1]= Somme_EA[M1] + Table_EA[M1][ii];
  }
  f2=(float)Somme_EA[M1] * 0.0061035;  // // soit 500.0 / (8 x 1024.0); // LM35DZ 10mV/V
  return f2;
 }
 
 unsigned int Mesure_Moyenne_Glissante_Temperature(int M1)     // M1 = indice numero de voie ANA
 {unsigned int EAx, ii;
  EAx= Read_ADC(M1); // ADC_Read(M1);
  Table_EA[M1][Nbval & 0x0007]=EAx;
  Nbval++;
  Somme_EA[M1]=0;
  for (ii=0;ii<8;ii++)
  {
     Somme_EA[M1]= Somme_EA[M1] + Table_EA[M1][ii];
  }
  EAx=Somme_EA[M1]>>4 ;  // soit 512  pleine echelle au lieu de 500 // LM35DZ 10mV/V
  ii=EAx>>6;
  EAx=EAx-ii;          // on enleve 1/64 soit 8 maximum pour reduire l'erreur  504 pour 500
  return EAx;    //
 }

void main ()
{
#ifdef OSCILLATEUR_INTERNE
  OSCCON.IRCF2=1;
  OSCCON.IRCF1=1;
  OSCCON.IRCF0=1;
  OSCCON.SCS1=1;
  OSCCON.SCS0=0;
  #ifndef DEBUGGING 
  while(OSCCON.HFIOFS==0);
  #endif
#endif

  PMD0=0;
  C1ON_bit = 0;       // Disable comparators
  C2ON_bit = 0;
  PORTB = 0x00;
  ANSELB=0;

  PORTA = 0xFF;
  TRISA=0b11101111 ;   // RA4 as output  RA0,1,2,3,5=input
  ANSELA=0x01;   // RA0 as analog
  Led_Direction=0;

  ANSELC=0;
  PORTC = 0xFE;       // set PORTC to $FF
  TRISC=0b11111101 ; //RC1 as output
  
  TRISE=0;
  PORTE=0xFF;
  
  PORTD = 0;
  // usage de USART2
  //For all modes of EUSART operation, the TRIS control
  // bits corresponding to the RXx/DTx and TXx/CKx pins
  // should be set to 1. The EUSART control will automatically reconfigure
  TRISD=0b11110000;
  ANSELD  = 0;       // Configure AN pins as digital I/O
  HLVDCON.HLVDEN=0;

  Delay_ms(750);
  txt=&TEXTE[0];
  // Initalize USART1 (19200,8,N,1)
  UART1_Init(19200);
  //UART_Set_Active(&UART1_Read, &UART1_Write, &UART1_Data_Ready, &UART1_Tx_Idle); // set UART1 active
  while (UART1_Tx_Idle() == 0) ;
  UART1_Write(CLS);
  Delay_ms(200);
  CRLF1();

  UART1_Write_CText("Mikroc Pro 6.620\r\n ");
  UART1_Write_CText("version :"Version"\r\n");
   UART1_Write_CText("Source :"Source"\r\n");
  UART1_Write_CText("18F45K22 Ready for PIC\r\n ");
  UART1_Write_CText("LCD COG2x16 sur PORTB \r\n");
  UART1_Write_CText("UART1 via USB -> COM23 Vbray Terminal\r\n ");
  UART1_Write_CText("UART2 PORTD via Interface 2TR -> COM2 PC XP\r\n\r\n");

  #ifdef TEST_FOSC
  Freq = Clock_kHz();
  UART1_Write_CText(" Fosc =");
  LongWordToStr(Freq, txt) ;
  UART_Write_Text(txt);
  UART1_Write_CText(" KHz\r\n");
  UART1_Write_CText(" Check delay de 5000mS entre # et @\r\n");
  UART1_Write('#');  CRLF1();
  Delay_ms(5000);
  UART1_Write('@');  CRLF1();
  #endif

  UART1_Write_CText("init UART2 19200,8,N,1\r\n ");
  
  UART2_Init(19200);
 // UART_Set_Active(&UART2_Read, &UART2_Write, &UART2_Data_Ready, &UART2_Tx_Idle); // set UART2 active
  while (UART2_Tx_Idle() == 0) ;
  UART2_Write(CLS);
  Delay_ms(1000);

  // test UART2 disply  ABC
  UART2_Write('A');  UART2_Write('B');  UART2_Write('C');
  CRLF2();
  
  UART1_Write_CText("LCD COG init\r\n ");
  Lcd_Init();                        // Initialize LCD
  UART1_Write_CText("ADC init\r\n ");
  
  Init_ADC();
  //ADC_Init();  // biblio ME

  Delay_ms(100);

  Lcd_Cmd(_LCD_CLEAR);               // Clear display
  Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
  Lcd_Out(1,1," 18F45K22 16Mhz ");                 // Write text in first row
  Lcd_Out(2,1,"UART1,UART2,ADC ");                 // Write text in second row
  j=0;
  
  // init table moyenne arithmetique glissante sur 8 valeurs
  for (i=0;i<8;i++)
  {
    Table_EA[0][i]=Read_ADC(0);  //   ADC_Read(0) biblio ME
    Delay_ms(10);
  }

  Somme_EA[0]=0;
  Nbval=0;
  Drapeaux.Mesure=1;
  Drapeaux.FLT=1;
  UART1_Write_Text("FLT moyenne arithmetique glissante \r\n ");
  UART2_Write_Text("FLT moyenne arithmetique glissante \r\n ");
  txt=&TEXTE[0];

  UART1_Write_CText("Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER \r\n");
  UART2_Write_CText("Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER \r\n");

      // gestion des interruptions
  RCSTA1.SPEN = 1;
  RCSTA1.RCEN=1;
  RCSTA2.SPEN = 1;
  RCSTA2.RCEN=1;
  RCSTA2.ADDEN=0;
  RCSTA1.ADDEN=0;
  RCON.IPEN=1   ;  // enable priority levels
  PEIE_bit = 1;   // Enable peripheral interrupts
  GIE_bit  = 1;   // Enable global interrupts
  RAZ_UART1();    //RAZ buffer1 et arme RX1 Interrupt
  RAZ_UART2();    //RAZ buffer2 et arme RX2 Interrupt

  while(1)
  {
   Init_Timer0();
   if (UART1_DataReady==1)
   {
      p1=strstr(buffer1,"LED ON");
      if (p1>0)
      {
         Led=1;
         UART2_Write_CText("LED ON \r\n");
         p1=0;
      }
      p1=strstr(buffer1,"LED OFF");
      if (p1>0)
      {
         Led=0;
         UART2_Write_CText("LED OFF \r\n");
         p1= 0;
      }
      p1=strstr(buffer1,"MESURE ON");
      if (p1>0)
      {
         UART2_Write_Text("Marche Mesure ADC\r\n ");
         Drapeaux.Mesure=1;
         p1=0;
      }
      p1=strstr(buffer1,"MESURE OFF");
      if (p1>0)
      {
         UART2_Write_Text("Arret Mesure ADC\r\n ");
         Drapeaux.Mesure=0;
         p1=0;
       }
       p1=strstr(buffer1,"FLOAT");
      if (p1>0)
      {
         UART1_Write_Text("FLT moyenne arithmetique glissante \r\n ");
         Drapeaux.FLT=1;
         p1=0;
       }
          p1=strstr(buffer1,"INTEGER");
      if (p1>0)
      {
         UART1_Write_CText("INT moyenne arithmetique glissante \r\n ");
         Drapeaux.FLT=0;
         p1=0;
       }
      RAZ_UART1();
    }
    if( UART2_DataReady==1)
    {   UART2_Write_CText("Recu Buffer2 : ");
        UART2_Write_Text(buffer2);
        CRLF2();
      // traitement data  rajouter ici
      // exemple : 
      p2=strstr(buffer2,"FLOAT");
      if (p2>0)
      {
         UART2_Write_CText("FLT moyenne arithmetique glissante \r\n ");
         Drapeaux.FLT=1;
         p2=0;
       }
       p2=strstr(buffer2,"INTEGER");
       if (p2>0)
       {
         UART2_Write_Text("INT moyenne arithmetique glissante \r\n ");
         Drapeaux.FLT=1;
         p2=0;
       }
       RAZ_UART2();
     }

    if (Drapeaux.Mesure==1)
    {
       strConstRamCpy(txt, "Mesure ");
       Lcd_Cmd(_LCD_CLEAR);
       Lcd_Out(1,1,txt4);
       WordToStr(j,IntValue);
       strcat(txt,IntValue);
       k=strlen(txt);
       strConstRamCpy(txt+k, " ADC0 = ");
       Lcd_Out(1,8,IntValue);
       // Read ADC 0 and send result via UART1
       temp_res = Read_ADC(0); //ADC_Read(0) ;
       WordToStr(temp_res,IntValue);
       strcat(txt,IntValue);
       k=strlen(txt);
       strConstRamCpy(txt+k, " points \t");
      // UART1_Write_Text(txt);
       Lcd_Out(2,1,IntValue );
      // UART2_Write_Text(txt);
       f1=(float)temp_res* 0.048828125;  // 10mV/C * 5.00/1024;
       k=strlen(txt);
       fltToa (f1,txt+k,2);
       strcat(txt,"C");
       if(Drapeaux.FLT==1)
       {
           strcat(txt," Filtree FLT = ");
           f1= Mesure_Temperature_Filtree(0);   // filtrage avec  calcul flottant
           k=strlen(txt);
           fltToa (f1,txt+k,2) ;
           Lcd_Out(2,9,txt+k);
           strcat(txt,"C");
       }
       else
       {   strcat(txt," Filtree INT = ");
           EA0= Mesure_Moyenne_Glissante_Temperature(0);
           k=strlen(txt);
           WordToStr(EA0,CRam1) ;
           i=strlen(CRam1);
           *(CRam1+i)=*(CRam1+i-1);
           *(CRam1+i-1)='.';
           *(CRam1+i+1)=0;
          //WordToStr(EA0,txt+k) ;
           strcat(CRam1,"C");
           Lcd_Out(2,9,CRam1);
           strcat(txt,CRam1);
       }
       UART1_Write_Text(txt);  CRLF1();
       UART2_Write_Text(txt);  CRLF2();
       j++;
     }
   while(Flag_Timer0==0);
  }

 }
 /*
 
 difference moyenne INT et moyenne Float
   points      Moy INT     Moy FLT
    166          8.2           8.09
    414         20.5          20.21
    793         39.1          38.70
    1011        49.8          49.42
 
Mikroc Pro 6.620
 version :23-11-2015
Source :18F45K22_UART1_FTDI_UART2_COG2x16_151122.c
18F45K22 Ready for PIC
 LCD COG2x16 sur PORTB
UART1 via USB -> COM23 Vbray Terminal
 UART2 PORTD via Interface 2TR -> COM2 PC XP

init UART2 19200,8,N,1
 LCD COG init
 ADC init
 FLT moyenne arithmetique glissante
 Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER

Mesure     3 ADC0 =   779 points         38.04C Filtree FLT = 38.00C
Mesure     4 ADC0 =   778 points         37.99C Filtree FLT = 38.00C
Mesure     5 ADC0 =   779 points         38.04C Filtree FLT = 38.01C
Mesure     6 ADC0 =   779 points         38.04C  383 1/10emC
Mesure     7 ADC0 =   778 points         37.99C  383 1/10emC
Mesure     8 ADC0 =   778 points         37.99C  383 1/10emC
Mesure     9 ADC0 =   778 points         37.99C  382 1/10emC
Mesure    10 ADC0 =   778 points         37.99C  382 1/10emC
Mesure    11 ADC0 =   778 points         37.99C  382 1/10emC

Mesure    24 ADC0 =   777 points         37.94C  383 1/10emC
Mesure    25 ADC0 =   779 points         38.04C  383 1/10emC
Mesure    26 ADC0 =   779 points         38.04C Filtree FLT = 37.98C
Mesure    27 ADC0 =   779 points         38.04C Filtree FLT = 37.98C
Mesure    28 ADC0 =   779 points         38.04C Filtree FLT = 37.98C
Mesure    29 ADC0 =   778 points         37.99C Filtree FLT = 37.99C
Mesure    30 ADC0 =   778 points         37.99C Filtree FLT = 38.00C
Me

 
 Mikroc Pro 6.620
 version :23-11-2015
Source :18F45K22_UART1_FTDI_UART2_COG2x16_151122.c
18F45K22 Ready for PIC
 LCD COG2x16 sur PORTB
UART1 via USB -> COM23 Vbray Terminal
 UART2 PORTD via Interface 2TR -> COM2 PC XP

init UART2 19200,8,N,1
 LCD COG init
 ADC init
 FLT moyenne arithmetique glissante
 Attente saisie de cde clavier MESURE ON,LED ON,FLOAT,INTEGER
Mesure     0 ADC0 =   611 points         29.83C Filtree FLT = 29.81C
Mesure     1 ADC0 =   611 points         29.83C Filtree FLT = 29.82C
Mesure     2 ADC0 =   610 points         29.79C Filtree FLT = 29.82C
Mesure     3 ADC0 =   610 points         29.79C Filtree FLT = 29.81C
Mesure     4 ADC0 =   610 points         29.79C Filtree FLT = 29.82C
Mesure     5 ADC0 =   610 points         29.79C Filtree FLT = 29.82C
Mesure     6 ADC0 =   610 points         29.79C Filtree FLT = 29.81C

 
 VBRAY Terminal log file
Date: 21/11/2015 - 16:19:14
-----------------------------------------------
16:19:25.505, 
16:19:25.505, Mikroc Pro 6.620
16:19:25.505,  version :21-11-2015
16:19:25.505, 18F45K22 Ready for PIC
16:19:25.505,  LCD COG2x16 sur PORTB
16:19:25.505, UART1 via USB -> COM23 Vbray Terminal
16:19:25.617,  UART2 PORTD via Interface 2TR -> COM2 PC XP
16:19:25.617,
16:19:25.617,  Fosc =     16000 KHz
16:19:25.617,  Check delay de 5000mS entre # et @
16:19:25.617, #
16:19:30.649, @
16:19:30.649, init UART2 19200,8,N,1
16:19:31.633,  LCD COG init
16:19:31.742,  ADC init
16:19:31.853,  Attente saisie au clavier M , A or L
16:19:49.790, A        Mesure     0 ADC0 =  1009 points
16:19:50.335, Attente saisie au clavier M , A or L
16:19:50.335,
16:19:50.885,         Attente saisie au clavier M , A or L
16:19:57.554, A        Mesure     1 ADC0 =   875 points
16:19:58.102, Attente saisie au clavier M , A or L
16:19:58.102,
16:19:58.760,         Attente saisie au clavier M , A or L
16:20:15.709, A        Mesure     2 ADC0 =   918 points
16:20:16.260, Attente saisie au clavier M , A or L

-----------------------------------------------
Date: 21/11/2015 - 16:20:24
End log file

*/