

extern unsigned int i;

#define MAXLEN1 128
unsigned char buffer1[MAXLEN1];
unsigned int Index1=0;
unsigned int i1=0;
unsigned int UART1_DataReady=0;
unsigned char c1=0;
unsigned char *p1;

#define MAXLEN2 256
unsigned char buffer2[MAXLEN2];
unsigned int UART2_DataReady=0;
unsigned int Index2=0;
unsigned int i2=0;
char c2;
unsigned char *p2;

void UART1_Write_CText(const char *txt1);
void UART2_Write_CText(const char *txt2);
void CRLF2(void);
void CRLF1(void);


//extern void Interrupts() ;


void UART1_Write_CText(const char *txt1)
{
   while (*txt1)
    UART1_Write(*(txt1++));
}

void UART2_Write_CText(const char *txt2)
{
   while (*txt2)
      UART2_Write(*(txt2++));
}


void CRLF1()
{
 UART1_Write(CR);
  UART1_Write(LF);
}


 void RAZ_UART1()
{
      RC1IE_bit=0 ;
      for (i1=0;i1<MAXLEN1;i1++) buffer1[i1]=0;
      i1=0;
      Index1=0;
      c1=RCREG1;
      c1=0;
      UART1_DataReady=0;
      RC1IE_bit=1 ;
}

void CRLF2()
{
  UART2_Write(CR);
  UART2_Write(LF);
 }

void RAZ_UART2()
{    
      RC2IE_bit=0 ;
      for (i2=0;i2<MAXLEN2;i2++) buffer2[i2]=0;
      Index2=0;
      i2=0;
      c2=RCREG2;
      c2=0;
      UART2_DataReady=0;
      RC2IE_bit=1 ;
}




/* exemple of use

 Hardware_Init();
  txt=&TEXTE[0];
  TEXTE[0]=0;

  UART1_Init(19200);
  UART1_Write(CLS);
  Delay_ms(500);
  CRLF1();
  UART1_Write_CText(" GSM2-click Test with Clicker2 PIC18F87J50\r\n");


// Setup interrupts
   UART2_Init(19200); // drive the GSM2-click
   UART1_Write_CText(" Arme RX IT UART2 ..\r\n");

   RAZ_UART2();
   RAZ_UART1();
   RCSTA1.SPEN = 1;
   RCON.IPEN=1   ; // enable priority levels
   PEIE_bit = 1;           // Enable peripheral interrupts
   GIE_bit  = 1;           // Enable global interrupts
   

    // ===     Traitement reception  UART2  =============
     if (UART2_DataReady==1)
      {
      // to do here
      RAZ_UART2();
      }
      if(UART1_DataReady==1)
     {
       // to do here
            RAZ_UART1();
     }
   
 */